#[cfg(target_os = "linux")]
use linux_info::bios::*;
use crate::dtos::bios::{BiosInfo, Win32_BIOS};

#[cfg(target_os = "linux")]
pub fn get_bios_info() -> BiosInfo {
	 let bios = Bios::read().expect("failed to read bios info");
	 let bios_info = bios.bios_info().expect("failed to get bios info");
	 let system_info = bios.system_info().expect("failed to get system info");

	 BiosInfo {
		manufacturer: system_info.manufacturer.to_string(),
		uuid: system_info.uuid.to_string(),
		name: system_info.product_name.to_string()
	 }
}
